Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590504 - Octave crashes after operating on matrix created w/ eye
Summary: Octave crashes after operating on matrix created w/ eye
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: octave
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-09 23:50 UTC by JR
Modified: 2011-07-30 14:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-30 14:37:53 UTC


Attachments (Terms of Use)

Description JR 2010-05-09 23:50:48 UTC
Description of problem:
Creating a matrix with eye(n) and then doing an rref() on that matrix causes octave to crash complaining about a corrupted doubly-linked list.  Sometimes it backs out nicely.  Other times, a kill -9 is in order on the PID.

Version-Release number of selected component (if applicable):
$ rpm -qa | grep octave
octave-3.2.4-2.fc13.x86_64
$ rpm -qa | grep glibc
glibc-2.12-1.x86_64
glibc-common-2.12-1.x86_64

How reproducible:
Always, but error messages change for no apparent reason.  A crash always ensues.  

Steps to Reproduce:
1. Load octave command line prompt.
2. Execute the following:
A=eye(6) [enter]
A  [enter]
rref(A) [enter]
exit [enter]
(Crashes here)
  
Actual results:
octave crashes

Expected results:
Return the identity matrix as it is already in simplest terms.

Additional info:
$ octave
GNU Octave, version 3.2.4
Copyright (C) 2009 John W. Eaton and others.
This is free software; see the source code for copying conditions.
There is ABSOLUTELY NO WARRANTY; not even for MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  For details, type `warranty'.

Octave was configured for "x86_64-redhat-linux-gnu".

Additional information about Octave is available at http://www.octave.org.

Please contribute if you find this software useful.
For more information, visit http://www.octave.org/help-wanted.html

Report bugs to <bug@octave.org> (but first, please read
http://www.octave.org/bugs.html to learn how to write a helpful report).

For information about changes from previous versions, type `news'.

octave:1> A=eye(6)
A =

Diagonal Matrix

   1   0   0   0   0   0
   0   1   0   0   0   0
   0   0   1   0   0   0
   0   0   0   1   0   0
   0   0   0   0   1   0
   0   0   0   0   0   1

octave:2> rref(A)
ans =

   1   0   0   0   0   0
   0   1   0   0   0   0
   0   0   1   0   0   0
   0   0   0   1   0   0
   0   0   0   0   1   0
   0   0   0   0   0   1

octave:3> quit
*** glibc detected *** octave: corrupted double-linked list: <<hash value removed>> ***


**NOTE:  This also occurs on the latest available octave for Fedora 12 as well.  The error messages change as well.

Comment 1 JR 2010-05-27 22:25:57 UTC
It appears this has been fixed in the upstream project.  Please view http://savannah.gnu.org/bugs/?func=detailitem&item_id=29584.  

Unfortunately I don't see an obvious change in the source tree that references that bug report.

Comment 2 JR 2010-06-20 20:34:39 UTC
Note:  This still occurs in the package provided by Fedora.  (Fedora 13 i686)  

Ping?

Comment 3 Alex Lancaster 2010-07-17 19:44:51 UTC
We should look into maybe backporting this fix to Octave 3.2.4 if it fixes this bug.  Rakesh?

Comment 4 JR 2011-02-23 01:07:24 UTC
Still impacts Fedora 14 as well.  I see that Version 3.4.0 was released at the beginning of February.  Is there a build of that I can try for F14 to see if this issue is finally resolved?

Comment 5 JR 2011-07-30 14:37:53 UTC
In F15 the bug is fixed with the release of octave-3.4.0-6.fc15.i686.  Closing the bug I reported.


Note You need to log in before you can comment on or make changes to this bug.